use thiserror::Error;

#[derive(Error, Debug)]
pub(crate) enum GementionError {
    #[error("No content found for target")]
    NoContentFoundForTarget,

    #[error("url parsing error: {0}")]
    UrlParsingError(#[from] url::ParseError),

    #[error("generic error: {0}")]
    UnclassifiedError(#[from] anyhow::Error),
}
